Uploaded image for project: 'Tohu'
  1. Tohu
  2. TOHU-46

Update to the latest version of Drools 5.x and 6.0

This issue belongs to an archived project. You can view it, but you can't modify it. Learn more

    XMLWordPrintable

Details

    • Enhancement
    • Status: Closed
    • Major
    • Resolution: Done
    • 1.3.0
    • 1.5.0, 1.6.0
    • None
    • None

    Description

      Tohu currently uses an old version of Drools 5.1.0.M1.

      It should be updated so it works with either the latest 5.x version or with 6.0.

      The main stumbling block is that the Drools Execution Server was an alpha version at the time and was bundled with Tohu. This is ended up being called Drools Server in 5.x and seems to be renamed to Drools Camel Server in 6.0.

      The server is needed by tohu-jquery-client but may not be needed by other clients e.g. see TOHU-35 re a JSF client.

      Note: the drools-informer port of Tohu (see Jira TOHU-45) works with Drools 5.5 but doesn't include the JQuery UI (and hence the server).

      Attachments

        Activity

          People

            dhorrell Damon Horrell (Inactive)
            dhorrell Damon Horrell (Inactive)
            Archiver:
            ranumula@redhat.com Raju Anumula

            Dates

              Created:
              Updated:
              Resolved:
              Archived: